Skip to main content
GET
/
contract
/
v1
/
monthly-variable-compensations
List all monthly variable compensations
curl --request GET \
  --url https://api-{region}.sesametime.com/contract/v1/monthly-variable-compensations \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "salaryCompensationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "amount": 500,
      "date": "2024-01-15",
      "createdAt": "2020-01-01T10:00:00+01:00",
      "updatedAt": "2020-01-01T10:00:00+01:00"
    }
  ],
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}

Authorizations

Authorization
string
header
required

API token obtained from Sesame HR Dashboard > Settings > Integrations > API

Query Parameters

salaryCompensationId
string<uuid>

Filter by salary compensation ID (employee-compensation assignment)

employeeId
string<uuid>

Filter by employee ID

date
string<date>

Filter by date (YYYY-MM-DD)

page
integer
default:1

Page number

limit
integer
default:50

Items per page (max 500)

Required range: x <= 500

Response

Successful response

data
object[]
meta
object